> ## Documentation Index
> Fetch the complete documentation index at: https://docs.repdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Analysis Kmeans (scale)

> # Description

Get analysis data for questions using responseIds for responses segmentation. 

# Payload

```json
{
    "fromDate": string,
    "toDate": string,
    "filter": array,
    "responsesIds": array
}
```

where:

* `fromDate`: start date in ISO format. **Required**.
* `toDate`: end date in ISO format. **Required**.
* `filter`: array of questions to filter responses by. Optional.
* `responsesIds`: array question ids for analysis segmentation. **Required**.

# Response 

## 200 OK

```json
{
  "dateFilters": array,
  "projectId": string,
  "fromDate": string,
  "toDate": string,
  "responses": {
     "q000000000000000000000000": object,
     "q000000000000000000000001": object
   }
}
```
where:

* `projectId`: unique identifier of the project.
* `fromDate`: start date received as param to the query in ISO format.
* `toDate`: end date received as param to the query in ISO format.
* `dateFilters`: Array of date filters used for querying the responses
* `responses`: object mapping unique question identifiers to kmeans analysis data for every question.

## 400 Bad Request
> Missing or invalid `projectId`/`fromDate`/`toDate` fields.

## 401 Unauthorized
> Invalid authorization.

## 404 Not Found
> Resource not found.

## 500 Internal Server Error
> Error occurred in the service.

# Description

Get analysis data for questions using responseIds for responses segmentation.

# Payload

```json theme={null}
{
    "fromDate": string,
    "toDate": string,
    "filter": array,
    "responsesIds": array
}
```

where:

* `fromDate`: start date in ISO format. **Required**.
* `toDate`: end date in ISO format. **Required**.
* `filter`: array of questions to filter responses by. Optional.
* `responsesIds`: array question ids for analysis segmentation. **Required**.

# Response

## 200 OK

```json theme={null}
{
  "dateFilters": array,
  "projectId": string,
  "fromDate": string,
  "toDate": string,
  "responses": {
     "q000000000000000000000000": object,
     "q000000000000000000000001": object
   }
}
```

where:

* `projectId`: unique identifier of the project.
* `fromDate`: start date received as param to the query in ISO format.
* `toDate`: end date received as param to the query in ISO format.
* `dateFilters`: Array of date filters used for querying the responses
* `responses`: object mapping unique question identifiers to kmeans analysis data for every question.

## 400 Bad Request

> Missing or invalid `projectId`/`fromDate`/`toDate` fields.

## 401 Unauthorized

> Invalid authorization.

## 404 Not Found

> Resource not found.

## 500 Internal Server Error

> Error occurred in the service.

##### Query Parameters

| Parameter   | Description | Required | Example |
| ----------- | ----------- | -------- | ------- |
| `projectId` | —           | No       | —       |


## OpenAPI

````yaml POST /scale-scale-service/analysisKmeans
openapi: 3.0.3
info:
  title: SightX API
  version: 1.0.0
  description: >-
    SightX REST API documentation. Most responses are JSON; some export
    endpoints return files. API access is a paid add-on — contact
    sales@sightx.io for details.
servers:
  - url: https://auth.admin.sightx.io
    description: Authentication (Production)
  - url: https://auth.staging-admin.sightx.io
    description: Authentication (Staging)
security:
  - AuthorizationHeader: []
paths:
  /scale-scale-service/analysisKmeans:
    post:
      summary: Fetch Analysis Kmeans (scale)
      description: >-
        # Description


        Get analysis data for questions using responseIds for responses
        segmentation. 


        # Payload


        ```json

        {
            "fromDate": string,
            "toDate": string,
            "filter": array,
            "responsesIds": array
        }

        ```


        where:


        * `fromDate`: start date in ISO format. **Required**.

        * `toDate`: end date in ISO format. **Required**.

        * `filter`: array of questions to filter responses by. Optional.

        * `responsesIds`: array question ids for analysis segmentation.
        **Required**.


        # Response 


        ## 200 OK


        ```json

        {
          "dateFilters": array,
          "projectId": string,
          "fromDate": string,
          "toDate": string,
          "responses": {
             "q000000000000000000000000": object,
             "q000000000000000000000001": object
           }
        }

        ```

        where:


        * `projectId`: unique identifier of the project.

        * `fromDate`: start date received as param to the query in ISO format.

        * `toDate`: end date received as param to the query in ISO format.

        * `dateFilters`: Array of date filters used for querying the responses

        * `responses`: object mapping unique question identifiers to kmeans
        analysis data for every question.


        ## 400 Bad Request

        > Missing or invalid `projectId`/`fromDate`/`toDate` fields.


        ## 401 Unauthorized

        > Invalid authorization.


        ## 404 Not Found

        > Resource not found.


        ## 500 Internal Server Error

        > Error occurred in the service.
      operationId: fetch-analysis-kmeans-scale-post-scale-scale-service-analysiskmeans
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Authorization token
          schema:
            type: string
        - name: projectId
          in: query
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
            example:
              fromDate: '2020-01-01'
              toDate: '2022-12-31'
              filter: []
              responseIds:
                - questionId1
                - questionId2
      responses:
        '200':
          description: Fetch Analysis Kmeans
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                projectId: 60de2ba329a7230061e209f6
                fromDate: '2020-01-01'
                toDate: '2022-12-31'
                filter: []
                dateFilters:
                  - start: '2020-01-01'
                    end: '2022-12-31'
                responses: {}
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      servers:
        - url: https://scale-analysis.sightx.io
components:
  securitySchemes:
    AuthorizationHeader:
      type: apiKey
      in: header
      name: Authorization
      description: Access token obtained from the m2m-token endpoint.

````